Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.support.encoding
[Java] Interface CodecFactory

    public interface CodecFactory

This interface can be used to tell that a Grails Codec class should use these methods for creating the encoder and decoder instances instead of using conventional encode/decode methods.

Authors:
  Lari Hotari

Since:
  2.3

Method Summary
`Decoder` | `getDecoder()` Gets the decoder instance.
`Encoder` | `getEncoder()` Gets the encoder instance.

Method Detail

### getDecoder

    public Decoder getDecoder()

  Gets the decoder instance.
  Returns:
    the decoder

### getEncoder

    public Encoder getEncoder()

  Gets the encoder instance.
  Returns:
    the encoder

Groovy Documentation